org.keycloak.partialimport

## Class RealmRolesPartialImport

- java.lang.Object
- - org.keycloak.partialimport.AbstractPartialImport<RoleRepresentation>
  - - org.keycloak.partialimport.RealmRolesPartialImport

- All Implemented Interfaces:
    PartialImport<RoleRepresentation>

      public class RealmRolesPartialImport
      extends AbstractPartialImport<RoleRepresentation>

  PartialImport handler for Realm Roles.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RealmRolesPartialImport.RoleHelper`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.partialimport.AbstractPartialImport

      `toOverwrite, toSkip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmRolesPartialImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(RealmModel realm, KeycloakSession session, RoleRepresentation roleRep)`
    `boolean` | `exists(RealmModel realm, KeycloakSession session, RoleRepresentation roleRep)`
    `String` | `existsMessage(RealmModel realm, RoleRepresentation roleRep)`
    `String` | `getModelId(RealmModel realm, KeycloakSession session, RoleRepresentation roleRep)`
    `String` | `getName(RoleRepresentation roleRep)`
    `List<RoleRepresentation>` | `getRepList(PartialImportRepresentation partialImportRep)`
    `ResourceType` | `getResourceType()`
    `Set<RoleRepresentation>` | `getToOverwrite()`
    `Set<RoleRepresentation>` | `getToSkip()`
    `void` | `remove(RealmModel realm, KeycloakSession session, RoleRepresentation roleRep)`

    - ### Methods inherited from class org.keycloak.partialimport.AbstractPartialImport

      `added, doImport, existsError, overwritten, prepare, removeOverwrites, skipped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RealmRolesPartialImport

          public RealmRolesPartialImport()

  - ### Method Detail

    - #### getToOverwrite

          public Set<RoleRepresentation> getToOverwrite()

    - #### getToSkip

          public Set<RoleRepresentation> getToSkip()

    - #### getRepList

          public List<RoleRepresentation> getRepList(PartialImportRepresentation partialImportRep)

      Specified by:
        `getRepList` in class `AbstractPartialImport<RoleRepresentation>`

    - #### getName

          public String getName(RoleRepresentation roleRep)

      Specified by:
        `getName` in class `AbstractPartialImport<RoleRepresentation>`

    - #### getModelId

          public String getModelId(RealmModel realm,
                                   KeycloakSession session,
                                   RoleRepresentation roleRep)

      Specified by:
        `getModelId` in class `AbstractPartialImport<RoleRepresentation>`

    - #### exists

          public boolean exists(RealmModel realm,
                                KeycloakSession session,
                                RoleRepresentation roleRep)

      Specified by:
        `exists` in class `AbstractPartialImport<RoleRepresentation>`

    - #### existsMessage

          public String existsMessage(RealmModel realm,
                                      RoleRepresentation roleRep)

      Specified by:
        `existsMessage` in class `AbstractPartialImport<RoleRepresentation>`

    - #### getResourceType

          public ResourceType getResourceType()

      Specified by:
        `getResourceType` in class `AbstractPartialImport<RoleRepresentation>`

    - #### remove

          public void remove(RealmModel realm,
                             KeycloakSession session,
                             RoleRepresentation roleRep)

      Specified by:
        `remove` in class `AbstractPartialImport<RoleRepresentation>`

    - #### create

          public void create(RealmModel realm,
                             KeycloakSession session,
                             RoleRepresentation roleRep)

      Specified by:
        `create` in class `AbstractPartialImport<RoleRepresentation>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.